{
    "doc": "The query parameters for a request to `GET /references/{id}/bases`, for\nexample:\n\n`GET /references/{id}/bases?start=100&end=200`",
    "fields": [
        {
            "default": 0,
            "doc": "The start position (0-based) of this query. Defaults to 0.\n  Genomic positions are non-negative integers less than reference length.\n  Requests spanning the join of circular genomes are represented as\n  two requests one on each side of the join (position 0).",
            "name": "start",
            "type": "long"
        },
        {
            "default": null,
            "doc": "The end position (0-based, exclusive) of this query. Defaults\n  to the length of this `Reference`.",
            "name": "end",
            "type": [
                "null",
                "long"
            ]
        },
        {
            "default": null,
            "doc": "The continuation token, which is used to page through large result sets.\n  To get the next page of results, set this parameter to the value of\n  `nextPageToken` from the previous response.",
            "name": "pageToken",
            "type": [
                "null",
                "string"
            ]
        }
    ],
    "name": "ListReferenceBasesRequest",
    "namespace": "org.ga4gh.methods",
    "type": "record"
}